Bug 798673 - Missing desktop icon of swell-foop
Missing desktop icon of swell-foop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F17Blocker/F17FinalBlocker
  Show dependency treegraph
 
Reported: 2012-02-29 09:49 EST by Petr Schindler
Modified: 2012-03-24 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-24 19:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-02-29 09:49:15 EST
Description of problem:
There is missing an icon of swell-foop in application menu (in activities)

Desktop file has defined 'Icon=' line correctly, but there aren't icons in /usr/share/icons/ folder.

Version-Release number of selected component (if applicable):
Clear installation of Alpha.RC4
gnome-games-3.3.5-1.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install from Alpha RC4 - there isn't icon of swell-foop in applications menu

Actual results:
Icon is missing in applications menu

Expected results:
There should be icon

Additional info:
Comment 1 Petr Schindler 2012-02-29 09:50:38 EST
I propose this bug as a final blocker. It violates the criterion "Menu sanity -
All Applications listed in the system menus (or equivalent) must have icons
which have a consistent appearance and sufficiently high resolution to avoid
appearing blurry"
Comment 2 Matthias Clasen 2012-03-11 19:44:15 EDT
Icons are included in the 3.3.90 packages, at least:

$ rpm -ql gnome-games-extra | grep icon | grep swell-foop
/usr/share/icons/hicolor/16x16/apps/swell-foop.png
/usr/share/icons/hicolor/22x22/apps/swell-foop.png
/usr/share/icons/hicolor/24x24/apps/swell-foop.png
/usr/share/icons/hicolor/32x32/apps/swell-foop.png
/usr/share/icons/hicolor/48x48/apps/swell-foop.png
/usr/share/icons/hicolor/scalable/apps/swell-foop.svg
Comment 3 Petr Schindler 2012-03-14 11:13:22 EDT
That changes nothing on the fact, that those files should be in gnome-games package, where swell-foop is. This bug is still Final blocker. I can confirm, that icons are on the right place after I installed gnome-games-extra.

It seems to me very strange when swell-foop is in different package then its icons.

Those two things should be in one package. It doesn't matter in which one.
Comment 4 Matthias Clasen 2012-03-15 16:09:09 EDT
Ah, I didn't notice the package split at all, sorry
Comment 5 Matthias Clasen 2012-03-24 19:31:02 EDT
Should be fixed in the .92 packages

Note You need to log in before you can comment on or make changes to this bug.